QCAD not functional after Debian 9 upgrade

Post your question about installing or upgrading QCAD.

Moderator: andrew

Post Reply
volido
Registered Member
Posts: 1
Joined: Sat Apr 14, 2018 8:53 am

QCAD not functional after Debian 9 upgrade

Post by volido » Sat Apr 14, 2018 9:13 am

Qcad 3,12 (x64) is not lunching after I upgrade the system from debian 8 to 9. I tried to reinstall with .run file too and not response. any clue of whats the reason?. there is abny library missing I should install in order to make qcad functional again?.

User avatar
andrew
Site Admin
Posts: 5556
Joined: Fri Mar 30, 2007 6:07 am

Re: QCAD not functional after Debian 9 upgrade

Post by andrew » Sat Apr 14, 2018 6:59 pm

Unfortunately, this can happen when upgrading a Linux operating system (usually due to new, incompatible system libraries). Older packages of QCAD were compiled for the platforms that were current at that time. QCAD 3.12.8 was released on 2016/02/17.

You can check for missing libraries using ldd (in the QCAD installation directory):

Code: Select all

LD_LIBRARY_PATH=. ldd ./qcad-bin
If libraries are indeed missing, installing those might also fix the problem.

Post Reply

Return to “QCAD Installation and Upgrades”